<div class="container">
    <div *ngIf="!isview">
        <div>
            <h2>Nomor Register {{noreg}}</h2>
            <h4>Nomor PP Sudah di Register</h4>
            <div class="input-group w-100 mt-3">
                <div class="ui-g-8">
                    <!-- <label class="form-control-label" for="field_PIC">Status</label> -->
                    <!-- <p-dropdown [options]="ppStatus" [(ngModel)]="selectedSTS" id="field_sts"
                        [disabled]="isDisabled && selected.length === 0" (onFocus)="validateStatus()">
                    </p-dropdown>
                    <button pButton (click)="updatestatus()" label="Update Status"
                        class="ui-button-primary flat-label-button" [disabled]="isDisabled && selected.length === 0">
                    </button> -->
                    <button pButton (click)="back()" label="Kembali List Register"
                        class="ui-button-primary flat-label-button">
                    </button>
                </div>
                <div class="ui-g-3">
                </div>
            </div>
        </div>
        <!-- <div class="modal-body"> -->
        <p-dataTable [value]="registerDetail" [editable]="false" [rows]="itemsPerPage" [paginator]="true"
            [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
            [lazy]="true" dataKey="idregisdetail" (onLazyLoad)="loadDataLazy($event)" [(selection)]="selected"
            >
            <p-header>
                <!-- <div>
                    <p-checkbox
                        [style]="{'align':'center'}"
                        name="selected"
                        [value]="purchaseOrders"
                        [(ngModel)]="selected"
                        label="Pilih semua">
                    </p-checkbox>
                </div> -->
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <!-- <p-column header="Select" [style]="{'width':'60px', 'align':'center'}">
                <ng-template let-col let-rowData="rowData" pTemplate="body">
                    <p-checkbox [disabled]="rowData.idStatusType === 25"
                        [style]="{'align':'center'}"
                        name="selected"
                        [value]="rowData"
                        [(ngModel)]="selected">
                    </p-checkbox>
                </ng-template>
            </p-column> -->
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PP" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopurchaseorder}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Buat" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtorder | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Nama Input" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Divisi" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.divition}}
                </ng-template>
            </p-column>
            <p-column header="PIC" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Status" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.isApprove === 0">
                        Not Approve Management
                    </div>
                    <div *ngIf="rowData.isApprove !== 0">
                        <div *ngIf="rowData.isregister === 1">
                            {{rowData.statusdesc}}
                        </div>
                        <div *ngIf="rowData.isregister === 0">
                            Unregister
                        </div>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="Nomor PO" [style]="{'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopurchasing}}
                </ng-template>
            </p-column>
            <!-- <p-column header="Catatn Unregister" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.notes}}
                </ng-template>
            </p-column> -->
            <p-column header="Aksi" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div class="ui-g-6" *ngIf="rowData.isregister === 1">
                        <button pButton type="button" icon="fa-print" class="flat-button" (click)="PrintPP(rowData)"
                            pTooltip="Print PP" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" icon="fa-close" class="flat-button" (click)="unregPP(rowData)"
                            pTooltip="Unregister PP" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.idstatustype === 22">
                        </button>
                        <div *ngIf="rowData.contenttype !== null">
                            <button pButton type="submit" icon="fa-eye" class="flat-button" pTooltip="Lihat Lampiran"
                                (click)="openPDF(rowData.idpurchaseorder)">
                            </button>
                            <button pButton type="submit"
                                    icon="fa-download"
                                    class="flat-button"
                                    pTooltip="Download Lampiran"
                                    (click)="download(rowData.idpurchaseorder,rowData.nopurchaseorder)">
                            </button>
                        </div>
                    </div>
                    <div class="ui-g-6" *ngIf="rowData.ketnotapp !== null && rowData.ketnotapp !== ''">
                        <button pButton type="button" icon="fa fa-sticky-note" class="flat-button" (click)="notes(rowData)"
                            pTooltip="Catatan Not Approve">
                        </button>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    
    <!-- ------------------ LIHAT CETAKAN ---------------------- -->
    <div *ngIf="isview">        
        <form name="printForm" role="form" novalidate #editForm="ngForm"></form>
            <div>
                <button pButton type="submit" label="print" icon="fa-print" class=" ui-button-success flat-label-button"
                    (click)="print()">
                </button>
                <button  pButton type="submit" label="Download" icon="fa-download" class="ui-button-info flat-label-button"
                    (click)="downloadBlob()">
                </button>
                <button  pButton label="Back" class="ui-button-danger flat-label-button" (click)="backPage()">
                </button>
            </div>
            <div>
                <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
            </div>
        </form>
    </div>

</div>
<p-dialog header="Catatan Unregister PP" [(visible)]="newModalNote" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate (ngSubmit)="modalUnregPP()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="noteUnregPP">
            </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Unregister" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Catatan" [(visible)]="newModalNoteNotAPP" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ketNotApp" [disabled]="true">
            </textarea>
        </div>
    </form>
</p-dialog>